IRST Time Now
IRST is the abbreviation of Iran Standard Time. Time zone offset of IRST is UTC+03:30. Iran Standard Time is 3 hours 30 minutes ahead from the UTC universal time. IRST current date is 4th Wednesday November 2026. Current time in IRST (IRST).
IRST Time
IRST, or Iran Standard Time, is a special time standard observed in Iran. Iran Standard Time is 3 hours 30 minutes ahead of the UTC universal time. As a rule, IRST observation, especially as to daylight saving time transition, is regulated by the decrees of the country’s President. Iran abolished daylight saving time in 2022 and now observes IRST (Iran Standard Time) (UTC+3:30) all year round. IRST is used in such cities as Tehran, Tabriz, Isfahan, Mashhad, and so on.
What time is it in Iran Standard Time now? It is 12:02:38 right now.
Iran Standard Time Date and Time Now in Various Formats
| Date Time Format | IRST Date Time Now |
|---|---|
| UTC | 2026-11-04T12:02:38Z |
| ISO-8601 | 2026-11-04T12:02:38+0000 |
| RFC 2822 | Wed, 04 Nov 2026 12:02:38 +0000 |
| RFC 850 | Wednesday, 04-Nov-26 12:02:38 UTC |
| RFC 1036 | Wed, 04 Nov 26 12:02:38 +0000 |
| RFC 1123 | Wed, 04 Nov 2026 12:02:38 +0000 |
| RFC 822 | Wed, 04 Nov 26 12:02:38 +0000 |
| RFC 3339 | 2026-11-04T12:02:38+00:00 |
| ATOM | 2026-11-04T12:02:38+00:00 |
| COOKIE | Wednesday, 04-Nov-2026 12:02:38 UTC |
| RSS | Wed, 04 Nov 2026 12:02:38 +0000 |
| W3C | 2026-11-04T12:02:38+00:00 |
| Unix Epoch | 1793793758 |
| YYYY-DD-MM HH:MM:SS | 2026-04-11 12:02:38 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-04-11 12:02:38 PM |
| DD-MM-YYYY HH:MM:SS | 04-11-2026 12:02:38 |
| MM-DD-YYYY HH:MM:SS | 11-04-2026 12:02:38 |